package world.bentobox.acidisland.listeners;

import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.Sound;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockFromToEvent;

import world.bentobox.acidisland.AcidIsland;
import world.bentobox.bentobox.util.Util;


public class LavaCheck implements Listener {

    private final AcidIsland addon;


    public LavaCheck(AcidIsland addon) {
        this.addon = addon;
    }

    /**
     * Removes stone generated by lava pouring on water
     *
     * @param e - event
     */
    @EventHandler(priority = EventPriority.LOWEST, ignoreCancelled = true)
    public void onCleanstoneGen(BlockFromToEvent e) {
        if (!e.getToBlock().getType().equals(Material.WATER)
                || !addon.getOverWorld().equals(Util.getWorld(e.getToBlock().getWorld()))
                || addon.getSettings().getAcidDamage() <= 0) {
            return;
        }
        Material prev = e.getToBlock().getType();
        Bukkit.getScheduler().runTask(addon.getPlugin(), () -> {
            if (e.getToBlock().getType().equals(Material.STONE)) {
                e.getToBlock().setType(prev);
                e.getToBlock().getWorld().playSound(e.getToBlock().getLocation(), Sound.ENTITY_CREEPER_PRIMED, 1F, 2F);
            }
        });
    }


}
